#
# The contents of this file are subject to the AOLserver Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://aolserver.com/.
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is AOLserver Code and related documentation
# distributed by AOL.
# 
# The Initial Developer of the Original Code is America Online,
# Inc. Portions created by AOL are Copyright (C) 1999 America Online,
# Inc. All Rights Reserved.
#
# Alternatively, the contents of this file may be used under the terms
# of the GNU General Public License (the "GPL"), in which case the
# provisions of GPL are applicable instead of those above.  If you wish
# to allow use of your version of this file only under the terms of the
# GPL and not to allow others to use your version of this file under the
# License, indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by the GPL.
# If you do not delete the provisions above, a recipient may use your
# version of this file under either the License or the GPL.
# 
#
# $Header: /cvsroot/aolserver/nssqlite3/Makefile,v 1.2 2007/03/10 04:12:06 scottg Exp $
#

#
# Where is SQLite 3 installed?
#
SQLITE3_PREFIX ?= /usr
SQLITE3_LIB = $(SQLITE3_PREFIX)/lib
SQLITE3_INCLUDE = $(SQLITE3_PREFIX)/include

#
# Where is AOLserver source?
#
AOLSERVER ?= ../aolserver

#
# Module name
#
MOD       =  nssqlite3.so

#
# Objects to build.
#
MODOBJS   =  nssqlite3.o

#
# Header files in THIS directory
#
HDRS      =

#
# Extra libraries
#
MODLIBS   += -L$(SQLITE3_LIB) -lsqlite3

ifndef AS3
	MODLIBS   += -lnsdb
endif

#
# Compiler flags
#
CFLAGS    =  -I$(SQLITE3_INCLUDE)


include  $(AOLSERVER)/include/Makefile.module

